import { getName } from "@/lib/trpc/memoizedRequests"

import MyPagesSidebar from "@/components/MyPages/Sidebar"

export default async function MyPagesNavigation() {
  const user = await getName()

  // Check if we have user, that means we are logged in andt the My Pages menu can show.
  if (!user) {
    return null
  }
  return <MyPagesSidebar />
}
